Subject: minor gdb patch for xxgdb
From: [email-masked] (Mike Engelhardt)
Date: Wed, 21 Apr 1993 05:26:46 GMT
Newsgroups: comp.os.linux.announce

When running xxgdb, an X-client interface to the symbolic debugger gdb,
gdb often prints out the following error message in the command window
of xxgdb:

[ioctl TIOCSPGRP failed in terminal_inferior: Not a typewriter]

This deals with the way xxgdb interfaces to gdb through a master/slave
pseudo terminal pair.  xxgdb suppresses some output from gdb but moves
a blue arrow around in the source code window to display graphically the
same information instead.  gdb senses it couldn't print and prints the
above error message.

I'm including a patch for gdb-4.8 which suppresses specifically this
error message.  Since it's printing that it can't print, I suppose it's
a minimally intrusive way to fix this annoying message which covers up
a running source file name display.  If I knew enough about signals and
pseudo terminals, I could fix in a more elaborate way but the point for
me is to get a source level debugger for other programs with real
problems.

This patch also fixes some syntax errors in the makefiles, a conflicting
declaration of a function in the source, and sets the compilation flags
for a striped, optimized executable.

So, to compile gdb yourself; ftp the source, save this post as
gdb-4.8.diff.z.uu and do:

    1. zcat gdb-4.8.tar.z | tar -xf -
    2. uudecode gdb-4.8.diff.z.uu
    3. gunzip gdb-4.8.diff.z
    4. patch -p0 < gdb-4.8.diff
    5. cd ./gdb-4.8/bfd/config
    6. ln -s i386-linux.mt i486-linux.mt
    7. ln -s i386linux.mh i486linux.mh
    8. cd ../../
    9. configure
   10. unset noclobber
   11. make 2>&1 | tee make.log
   12. mv ./gdb/gdb /usr/bin (or where ever you want it)
   13. mv ./gdb/gdb.1 /usr/man/man1 (or where ever you want it)

Please refer to the source to install info style documentation.

Mike Engelhardt

------- uuencoded patch -- no need to remove post -----------